Subject: Re: [PATCH v2 1/2] wt-status: avoid passing NULL worktree

From: Phillip Wood <[email-masked]>
Date: Thu, 26 Feb 2026 16:09:48 +0000

On 25/02/2026 17:11, Junio C Hamano wrote:
> Phillip Wood <[email-masked]> writes:
>>
>> This series isn't in next yet - shall I re-roll with an extra
>> preparatory patch changing is_current_worktree() and
>> git_worktree_git_dir() to use wt->repo, or are you happy to have that as
>> a separate follow up on top of these patches?
> 
> Thanks for investigating how we got here.  I do not have strong
> preference in the order, as long as we eventually get there.

In that case I'll send a follow-up series next week.

Thanks

Phillip